Subject: [apps-discuss] Applications Area Directorate Review of draft-ietf-avtcore-avp-codecs-02

From: Bert Greevenbosch <[email-masked]>
Date: Thu, 13 Jun 2013 08:06:04 +0000

Document: draft-ietf-avtcore-avp-codecs-02
Title: RTP/AVP codecs
Reviewer: Bert Greevenbosch
Review Date: 13 June 2013
IETF Last Call Date: [include if known]
IESG Telechat Date: [include if known]
Summary: No major issues, only editorials.

Major Issues:

none

Minor Issues:

(1) "Some environments REQUIRE support for PCMU.". The key word "REQUIRE" is not defined in RFC 2119. RFC 2119 defines "REQUIRED", which IMHO should be used differently. Maybe a better phrasing would be: "Some environments MAY require support for PCMU.".

Nits:

(2) Section 3 contains the original text from RFC 3551. However, this is a bit confusing when reading it the first time; when you miss that it is the original text from RFC 3551, it seems inconsistent with the introduction.

Maybe it is good to split section 3 into three sections:
"3.1 original text from RFC 3551"
"3.2 updates"
"3.3 resulting text"

The header of section 3 could be "Updates to RFC 3551 section 6". Introductory text could be

"Section 6 of RFC 3551 is hereby updated as set forth below."

Alternatively one could put all into a single section 3 (no subsections). Goal is that it should be clearer what is the original text, what is the proposed change and what is the result.